Name:           maven
Version:        3.2.5
Release:        2%{?dist}
Summary:        Apache Maven software project management and comprehension tool.
License:        Apachev2+
URL:            http://maven.apache.org/
Group:          Development/Build Tools
Source0:        apache-maven-%{version}-src.tar.gz
Requires:       java
BuildRoot:      %{mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX}

%description
Apache Maven is a software project management and comprehension tool. 
Based on the concept of a project object model (POM), Maven can manage a project's build, reporting and documentation from a central piece of information.

%prep
%setup -q -n apache-maven-%{version}

%build
install -d -m 755 %{buildroot}/opt/%{name}
cp -R %{_builddir}/apache-maven-%{version}/* %{buildroot}/opt/%{name}/

# Make it the default, dawg.
install -d -m 755 %{buildroot}/etc/profile.d/
echo 'export MAVEN_HOME=/opt/%{name}' > %{buildroot}/etc/profile.d/%{name}.sh
echo 'export PATH=/opt/%{name}/bin:$PATH' >> %{buildroot}/etc/profile.d/%{name}.sh

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo
echo "You will need to exit your shell to have mvn in your default path."
echo "Or run the following"
echo '  export MAVEN_HOME=/opt/maven'
echo '  export PATH=/opt/maven/bin:$PATH'
echo

%files
%defattr(-,root,root,-)
/opt/%{name}/
/etc/profile.d/%{name}.sh

%changelog
* Thu Jan 08 2015 Sakib Jalal <sfj19@nbcs.rutgers.edu> - 3.2.5-2.ru6
- Bumped release to fix broken dependencies (no jdk on omachi)

* Thu Jan 08 2015 Sakib Jalal <sfj19@nbcs.rutgers.edu> - 3.2.5-1.ru6
- First release for Rutgers.


